import { jsx } from "react/jsx-runtime";
import { Token10SET as Token10SET$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Token10SET = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "10SET", "data-name": "Token10SET", ...props, children: /* @__PURE__ */ jsx(Token10SET$1, { variant }) });
  }
);
Token10SET.displayName = "Token10SET";
Object.assign(Token10SET, { isGdsIcon: true });
export {
  Token10SET
};
